API DocumentationComputers
Mark VM as favorite
Mark a VM as favorite, optionally storing a console configuration value.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
vm_id*string
A unique identifier for a VM instance.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Optional body when marking a VM as favorite.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X POST "https://example.com/v1/vms/cc3ccab2-0ae2-11ef-9136-6a0922f6458b/favorite" \ -H "Content-Type: application/json" \ -d '{ "config": 1 }'null{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}